// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// KoBang!

#include		"kobang.hpp"

bool			kobang::currentdiscotype(int		i)
{
  if (disco == 0)
    return (i == cdisco % deepness);
  if (disco == 1)
    return (((cdisco / 10) % 2) ? i % 2 : !(i % 2));
  if (disco == 2)
    return ((cdisco / 20) % 2);
  if (disco == 3)
    return (i % 4 == cdisco % 4);
  return (true);
}
